SHOWFEAT(1e)

NAME
showfeat - Display features of a sequence in pretty format

SYNOPSIS

showfeat -sequence seqall [-sourcematch string] [-typematch string] [-tagmatch string] [-valuematch string] [-sort list] [-joinfeatures boolean] [-annotation range] -html boolean -id boolean -description boolean -scale boolean -width integer -collapse boolean -forward boolean -reverse boolean -unknown boolean -strand boolean -origin boolean -position boolean -type boolean -tags boolean -values boolean -stricttags boolean -outfile outfile

showfeat -help

DESCRIPTION

showfeat is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Display,Feature tables" command group(s).

OPTIONS

  Input section

-sequence seqall

  Additional section

-sourcematch string
    By default any feature source in the feature table is shown. You can set this to match any feature source you wish to show. The source name is usually either the name of the program that detected the feature or it is the feature table (eg: EMBL) that the feature came from. The source may be wildcarded by using '*'. If you wish to show more than one source, separate their names with the character '|', eg: gene* | embl Default value: *

-typematch string
    By default any feature type in the feature table is shown. You can set this to match any feature type you wish to show. See http://www.ebi.ac.uk/embl/WebFeat/ for a list of the EMBL feature types and see Appendix A of the Swissprot user manual in http://www.expasy.org/sprot/userman.html for a list of the Swissprot feature types. The type may be wildcarded by using '*'. If you wish to show more than one type, separate their names with the character '|', eg: *UTR | intron Default value: *

-tagmatch string
    Tags are the types of extra values that a feature may have. For example in the EMBL feature table, a 'CDS' type of feature may have the tags '/codon', '/codon_start', '/db_xref', '/EC_number', '/evidence', '/exception', '/function', '/gene', '/label', '/map', '/note', '/number', '/partial', '/product', '/protein_id', '/pseudo', '/standard_name', '/translation', '/transl_except', '/transl_table', or '/usedin'. Some of these tags also have values, for example '/gene' can have the value of the gene name. By default any feature tag in the feature table is shown. You can set this to match any feature tag you wish to show. The tag may be wildcarded by using '*'. If you wish to show more than one tag, separate their names with the character '|', eg: gene | label Default value: *

-valuematch string
    Tag values are the values associated with a feature tag. Tags are the types of extra values that a feature may have. For example in the EMBL feature table, a 'CDS' type of feature may have the tags '/codon', '/codon_start', '/db_xref', '/EC_number', '/evidence', '/exception', '/function', '/gene', '/label', '/map', '/note', '/number', '/partial', '/product', '/protein_id', '/pseudo', '/standard_name', '/translation', '/transl_except', '/transl_table', or '/usedin'. Only some of these tags can have values, for example '/gene' can have the value of the gene name. By default any feature tag value in the feature table is shown. You can set this to match any feature tag value you wish to show. The tag value may be wildcarded by using '*'. If you wish to show more than one tag value, separate their names with the character '|', eg: pax* | 10 Default value: *

-sort list
    Default value: start

-joinfeatures boolean
    Default value: N

-annotation range
    Regions to annotate by marking. If this is left blank, then no annotation is added. A set of regions is specified by a set of pairs of positions followed by optional text. The positions are integers. They are followed by any text (but not digits when on the command-line). Examples of region specifications are: 24-45 new domain 56-78 match to Mouse 1-100 First part 120-156 oligo A file of ranges to annotate (one range per line) can be specified as '@filename'.

  Advanced section

-html boolean
    Default value: N

-id boolean
    Set this to be false if you do not wish to display the ID name of the sequence. Default value: Y

-description boolean
    Set this to be false if you do not wish to display the description of the sequence. Default value: Y

-scale boolean
    Set this to be false if you do not wish to display the scale line. Default value: Y

-width integer
    You can expand (or contract) the width of the ASCII-character graphics display of the positions of the features using this value. For example, a width of 80 characters would cover a standard page width and a width a 10 characters would be nearly unreadable. If the width is set to less than 4, the graphics lines and the scale line will not be displayed. Default value: 60

-collapse boolean
    If this is set, then features from the same source and of the same type and sense are all printed on the same line. For instance if there are several features from the EMBL feature table (ie. the same source) which are all of type 'exon' in the same sense, then they will all be displayed on the same line. This makes it hard to distinguish overlapping features. If this is set to false then each feature is displayed on a separate line making it easier to distinguish where features start and end. Default value: N

-forward boolean
    Set this to be false if you do not wish to display forward sense features. Default value: Y

-reverse boolean
    Set this to be false if you do not wish to display reverse sense features. Default value: Y

-unknown boolean
    Set this to be false if you do not wish to display unknown sense features. (ie. features with no directionality - all protein features are of this type and some nucleic features (for example, CG-rich regions)). Default value: Y

-strand boolean
    Set this if you wish to display the strand of the features. Protein features are always directionless (indicated by '0'), forward is indicated by '+' and reverse is '-'. Default value: N

-origin boolean
    Set this if you wish to display the origin of the features. The source name is usually either the name of the program that detected the feature or it is the name of the feature table (eg: EMBL) that the feature came from. Default value: N

-position boolean
    Set this if you wish to display the start and end position of the features. If several features are being displayed on the same line, then the start and end positions will be joined by a comma, for example: '189-189,225-225'. Default value: N

-type boolean
    Set this to be false if you do not wish to display the type of the features. Default value: Y

-tags boolean
    Set this to be false if you do not wish to display the tags and values of the features. Default value: N

-values boolean
    Set this to be false if you do not wish to display the tag values of the features. If this is set to be false, only the tag names will be displayed. If the tags are not displayed, then the values will not be displayed. The value of the 'translation' tag is never displayed as it is often extremely long. Default value: Y

-stricttags boolean
    By default if any tag/value pair in a feature matches the specified tag and value, then all the tags/value pairs of that feature will be displayed. If this is set to be true, then only those tag/value pairs in a feature that match the specified tag and value will be displayed. Default value: N

  Output section

-outfile outfile

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

showfeat is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.